from django.db import models

# Create your models here.
class Isotope(models.Model):
    n_protons = models.IntegerField(help_text="Protons in isotope")
    n_nucleons = models.IntegerField(help_text="Nucleons in isotope")
    stable = models.BooleanField(help_text="Is isotope stable?")
    symbol = models.CharField(max_length=2, help_text="Symbol of isotope")
    name = models.CharField(max_length=255, help_text="Name of isotope")
    spin_quantum_number = models.FloatField(help_text="Spin quantum number")
    gamma = models.FloatField(help_text="Gyromagnetic ratio in MHz/T") # MHz/T
    natural_abundance = models.FloatField(help_text="Natural abundance")
    quadrupole_moment = models.FloatField(null=True, help_text="Quadrupole moment")
